Care Plan

A care plan is a planned action or series of actions to be performed or a group of actions to be performed.

GET/v2/fhir/AllergyIntolerance

List all patients

Returns a list of all care plans. Pass attributes to filter the list of allergy intolerances based on that criteria.

Optional query parameters

  • Name
    patient
    Type
    string
    Description

    Patient ID to filter by.

  • Name
    category
    Type
    string
    Description

    Category to filter by.

Request

GET
/v2/fhir/AllergyIntolerance
curl "https://{{base_subdomain}}.avonhealth.com/v2/fhir/AllergyIntolerance?patient=user_Z1zXZKvqrpwxbznuW6lJ&category=Example" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
      {
        "resourceType": "Bundle",
        "type": "searchset",
        "total": 1,
        "entry": [
          {
            "fullUrl": "http://trial.avonhealth.com/fhir/CarePlan/example-careplan",
            "resource": {
              "resourceType": "CarePlan",
              "id": "example-careplan",
              "text": {
                "status": "generated",
                "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\"><p>Care Plan for managing diabetes</p></div>"
              },
              "subject": {
                "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2",
                "display": "Amy Shaw"
              },
              "status": "active",
              "intent": "plan",
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://hl7.org/fhir/us/core/CodeSystem/careplan-category",
                      "code": "assess-plan"
                    }
                  ]
                }
              ],
              "title": "Diabetes Management Plan",
              "description": "A care plan for managing the patient's diabetes.",
              "period": {
                "start": "2023-01-01",
                "end": "2023-12-31"
              },
              "created": "2023-01-01",
              "author": {
                "reference": "Practitioner/practitioner-1",
                "display": "Dr. John Doe"
              }
            },
            "search": {
              "mode": "match"
            }
          }
        ]
      }
    }